<?xml version="1.0" encoding="UTF-8"?>
<component id="contribuyentes_srch">
    <type>SEARCH</type>
    <title>Buscar Contribuyentes</title>
    <rows>135</rows>
    <width>1000</width>
    <height>600</height>
    <pbin>NO</pbin>
    <base_path>..</base_path>
    <clase>
        <table>sdm_contribuyentes</table>
        <id_field>i8_contribuyente_id</id_field>        
        <select_fields>i8_contribuyente_id,v128_contribuyente,v64_nombres,v64_apellidos,c1_tipo_persona_id,c14_nit_id,c11_dui_id,c14_iva_id,c16_pasaporte_id</select_fields>
        <needed_fields>v64_nombres,v64_apellidos,c11_dui_id,c14_nit_id,c14_iva_id,c16_pasaporte_id</needed_fields>
        <order_by>2</order_by>
        <limit>100</limit>
        <offset>0</offset>
        <association id="null"></association>
    </clase>
    <grid>
        <columns>i8_contribuyente_id,v64_nombres,v64_apellidos,c14_nit_id,c11_dui_id,c14_iva_id,c16_pasaporte_id</columns>
        <column id="i8_contribuyente_id">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>ID</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>options</elements>
            <element id="options">
                <properties>
                    <type>link</type>
                    <data>text</data>                
                </properties>        
                <events>
                    <onClick>GridOpenWindowPL(this)</onClick>
                </events>                
            </element>
            <element id ="null"></element>
            <method id="GridOpenWindowPL(this)">
                <params>component,clase,left,top,id_field</params>
                <component>contribuyente.expediente.solvencia.get</component>
                <clase>contribuyente.expediente.solvencia</clase>
                <left>100</left>
                <top>100</top>
                <id_field>i8_contribuyente_id</id_field>
            </method>
            <method id="null"></method>            
        </column>
        <column id="v64_nombres">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>NOMBRES</header>
                <width>32</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="v64_apellidos">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>APELLIDOS</header>
                <width>32</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c14_nit_id">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>NIT</header>
                <width>14</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c11_dui_id">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>DUI</header>
                <width>11</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c14_iva_id">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>IVA</header>
                <width>14</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c16_pasaporte_id">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>PASAPORTE</header>
                <width>14</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="counter">
            <properties>
                <type>link</type>
                <data>text</data>
                <header>No.</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>>
        <counter>ON</counter>
        <delete>NO</delete>
        <tdheader_style>text-align:center</tdheader_style>
        <tdbody_style>text-align:left;vertical-align:center</tdbody_style>
    </grid>    
</component>